import { Router } from 'express';
import auth from '../middlewares/auth.js';
import existance from '../middlewares/existance.js';
import UserController from '../controllers/user.js'

const UserRouter = new Router();

UserRouter.post('/register', auth.requireUsernameAndPassword, existance.usernameDoesntExist, UserController.register);
UserRouter.post('/login', auth.requireUsernameAndPassword, existance.usernameExists, UserController.login);


export default UserRouter;